package com.memorynotfound.awt;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.FileOutputStream;
import java.io.IOException;

public class FullScreenShot {

    public static void main(String... args) throws AWTException, IOException {
        Rectangle screenRectangle = new Rectangle(Toolkit.getDefaultToolkit().getScreenSize());
        BufferedImage image = new Robot().createScreenCapture(screenRectangle);
        ImageIO.write(image, "png", new FileOutputStream("/tmp/full-screenshot.png"));
    }

}
