package com.memorynotfound.awt;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.FileOutputStream;
import java.io.IOException;

public class PartialScreenShot {

    public static void main(String... args) throws AWTException, IOException {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Rectangle screenRectangle = new Rectangle(0, 0, screenSize.width/2, screenSize.height/2);
        BufferedImage image = new Robot().createScreenCapture(screenRectangle);
        ImageIO.write(image, "png", new FileOutputStream("/tmp/partial-screenshot.png"));
    }

}
